QT += core gui widgets
TARGET = projet
TEMPLATE = app
DEFINES += QT_DEPRECATED_WARNINGS
CONFIG += qt debug

RESOURCES += mdl/mdl_resources.qrc
RESOURCES += img/img_resources.qrc
RESOURCES += shaders/shaders_resources.qrc

SOURCES += src/main.cc
SOURCES += src/main_window.cc
SOURCES += src/opengl_mesh.cc
SOURCES += src/opengl_widget.cc
SOURCES += src/drone_controller.cc
SOURCES += src/load_obj.cc
SOURCES += src/settings_pane.cc
SOURCES += src/drone.cc
SOURCES += src/waypoint.cc

HEADERS += src/main_window.hh
HEADERS += src/opengl_mesh.hh
HEADERS += src/opengl_widget.hh
HEADERS += src/drone_controller.hh
HEADERS += src/load_obj.hh
HEADERS += src/settings_pane.hh
HEADERS += src/drone.cc
HEADERS += src/waypoint.cc
